'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.asSelection = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function SelectionWrapper(props) {
  var component = this.selection;

  if (!component) {
    return null;
  }

  return _react2.default.createElement(this.selection, props);
}

var bind = function bind(func, ctx) {
  var boundFunc = func.bind(ctx);

  boundFunc.originalFunc = func;

  return boundFunc;
};

var asSelection = exports.asSelection = function asSelection(selection) {
  return bind(SelectionWrapper, { selection: selection });
};

exports.default = SelectionWrapper;