'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var calculateArea = exports.calculateArea = function calculateArea(params) {
  if ((typeof params === 'undefined' ? 'undefined' : _typeof(params)) !== 'object') {
    return null;
  }

  var width = params.width,
      height = params.height;


  return width * height || null;
};

var sortByArea = exports.sortByArea = function sortByArea(box1, box2) {
  if (!box1 || !box2) {
    return 0;
  }

  var area1 = calculateArea(box1.area.dimensions);
  var area2 = calculateArea(box2.area.dimensions);

  if (!area1 || !area2) {
    return 0;
  }

  return area2 - area1;
};